> ## Documentation Index
> Fetch the complete documentation index at: https://www.octoparse.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# マニフェスト取得

> 最新 Release の完全マニフェスト（runtime 含む）作者読み戻し。編集再公開用。

**`GET`** `https://api-datahub.octoparse.com/v1/data-apps/{app_id}/manifest`

認証：APIキー必須（`Authorization: Bearer <API Key>`）。App 作者のみ。他者は `404`。

**最新 Release** の完全マニフェスト（`runtime` ブロック含む）の作者向け読み戻し — 「編集して再公開」のデータ源。

`runtime` はバックエンド成果物でカードや詳細などの公開ペイロードには出ないため、本エンドポイントは作者のみ。`auth.secret` は `runtime.env` への別名に過ぎず、資格情報の平文はここにもどこにも出ない。

## リクエスト

### パスパラメータ

<ParamField path="app_id" type="string" required>
  App reference.
</ParamField>

### リクエスト例

```bash theme={null}
curl \
  -H "Authorization: Bearer $OCTOPARSE_API_KEY" \
  "https://api-datahub.octoparse.com/v1/data-apps/carol/reviews-query/manifest"
```

## レスポンス

### 200 成功

```json theme={null}
{
  "data": {
    "spec_version": "0.2",
    "identity": {
      "app_name": "probe-b",
      "name": "Runs list probe source",
      "summary": "Test app for runs list pagination and filters",
      "type": "data"
    },
    "discovery": {
      "keywords": [
        "runs-list-probe"
      ]
    },
    "input": {
      "schema": {
        "type": "object",
        "properties": {
          "product": {
            "type": "string"
          }
        },
        "required": [
          "product"
        ]
      }
    },
    "output": {
      "id_field": "review_id",
      "schema": {
        "type": "object",
        "properties": {
          "review_id": {
            "type": "string"
          }
        }
      }
    },
    "execution": {
      "mode": "sync",
      "timeout_seconds": 60
    },
    "pricing": {
      "events": [
        {
          "event": "record",
          "label": "Fetch one record",
          "unit_price": 0.001
        }
      ]
    },
    "runtime": {
      "kind": "api",
      "env": {
        "base": "PARTNER_API_BASE",
        "api_key": "PARTNER_API_KEY"
      },
      "api": {
        "auth": {
          "type": "api_key",
          "in": "header",
          "name": "X-API-Key",
          "secret": "api_key"
        },
        "response_code": {
          "path": "code",
          "ok_codes": [
            20000
          ],
          "message_path": "message"
        },
        "fetch": {
          "request": {
            "method": "GET",
            "url": "{env.base}/api/envelope/reviews",
            "query": {
              "product": "{input.product}"
            }
          },
          "response": {
            "records_path": "data.records",
            "field_map": {
              "review_id": "id"
            }
          }
        }
      }
    },
    "status": "published",
    "scope": "private",
    "namespace": "carol",
    "source_locale": "zh-CN"
  }
}
```

`data` 自体がマニフェストオブジェクト（上は冒頭のみ）。

### エラー

| HTTP | `code`              | `category`  | Description                            |
| ---- | ------------------- | ----------- | -------------------------------------- |
| 401  | `unauthorized`      | `forbidden` | API キー欠落または無効。                         |
| 404  | `release-not-found` | `not_found` | そのバージョンが存在しない、または App にまだ Release がない。 |

エラー応答は `{"error": {code, category, message, retryable}}` です。<a href="/docs/jp/datahub/api/reference/introduction#errors">エラー</a> を参照。

## クライアントライブラリ

Python / JavaScript SDK はまだこのエンドポイントをラップしていません。REST を直接呼び出してください。
